GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkGDCMTesting Class Reference

`#include <vtkGDCMTesting.h>`

Inheritance diagram for vtkGDCMTesting:
[legend]
Collaboration diagram for vtkGDCMTesting:
[legend]

## Public Types

typedef const char *const (* | MD5MetaImagesType )[3]

## Public Member Functions

void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeRevisionMacro (vtkGDCMTesting, vtkObject)

## Static Public Member Functions

static const char * | GetGDCMDataRoot ()
static const char *const * | GetMD5MetaImage (unsigned int file)
static const char * | GetMHDMD5FromFile (const char *filepath)
static unsigned int | GetNumberOfMD5MetaImages ()
static const char * | GetRAWMD5FromFile (const char *filepath)
static const char * | GetVTKDataRoot ()
static vtkGDCMTesting * | New ()

## Protected Member Functions

| vtkGDCMTesting ()
| ~vtkGDCMTesting ()

## Detailed Description

Examples:
  HelloActiviz5.cs, HelloVTKWorld2.cs, MetaImageMD5Activiz.cs, ReadSeriesIntoVTK.java, and RefCounting.cs.

## Member Typedef Documentation

typedef const char* const(* vtkGDCMTesting::MD5MetaImagesType)[3]

## Constructor & Destructor Documentation

vtkGDCMTesting::vtkGDCMTesting | ( |  | ) |

protected

vtkGDCMTesting::~vtkGDCMTesting | ( |  | ) |

protected

## Member Function Documentation

static const char* vtkGDCMTesting::GetGDCMDataRoot | ( |  | ) |

static

Examples:
  HelloActiviz5.cs, and ReadSeriesIntoVTK.java.

static const char* const* vtkGDCMTesting::GetMD5MetaImage | ( | unsigned int | file | ) |

static

static const char* vtkGDCMTesting::GetMHDMD5FromFile | ( | const char * | filepath | ) |

static

Examples:
  MetaImageMD5Activiz.cs.

static unsigned int vtkGDCMTesting::GetNumberOfMD5MetaImages | ( |  | ) |

static

static const char* vtkGDCMTesting::GetRAWMD5FromFile | ( | const char * | filepath | ) |

static

Examples:
  MetaImageMD5Activiz.cs.

static const char* vtkGDCMTesting::GetVTKDataRoot | ( |  | ) |

static

Examples:
  HelloActiviz5.cs, and HelloVTKWorld2.cs.

static vtkGDCMTesting* vtkGDCMTesting::New | ( |  | ) |

static

Examples:
  RefCounting.cs.

void vtkGDCMTesting::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |

vtkGDCMTesting::vtkTypeRevisionMacro | ( | vtkGDCMTesting | ,
|  | vtkObject |
| ) |  |

The documentation for this class was generated from the following file:

- vtkGDCMTesting.h